Bug 973558 - system-config-network: interface names do not agree with "ip link"
system-config-network: interface names do not agree with "ip link"
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 04:30 EDT by Florian Weimer
Modified: 2015-02-17 10:32 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:32:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Florian Weimer 2013-06-12 04:30:02 EDT
On a freshly installed Fedora 19 system, "ip link" reports two interaces, em1 and p2p1.  p2p1 is the primary network interface (the default route goes out over this link).  However, system-config-network-tui only offers to configure the interfaces "enp2s0 (enp2s0)" and "enp3s0 (enp3s0)" in the device selection dialog.  This is quite confusing.

It would also help if the device selection dialog indicated which of the interfaces are actually up
Comment 1 Florian Weimer 2013-06-12 04:52:09 EDT
"ip link" shows:

1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN mode DEFAULT 
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
2: p2p1: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc pfifo_fast state UP mode DEFAULT qlen 1000
    link/ether 68:05:ca:ab:cd:ef brd ff:ff:ff:ff:ff:ff
3: em1: <NO-CARRIER,BROADCAST,MULTICAST,UP> mtu 1500 qdisc mq state DOWN mode DEFAULT qlen 1000
    link/ether 00:9c:02:ab:cd:ef brd ff:ff:ff:ff:ff:ff

Relevant dmesg output:

[   17.332098] e1000e 0000:02:00.0 eth0: registered PHC clock
[   17.332107] e1000e 0000:02:00.0 eth0: (PCI Express:2.5GT/s:Width x1) 68:05:ca:ab:cd:ef
[   17.332110] e1000e 0000:02:00.0 eth0: Intel(R) PRO/1000 Network Connection
[   17.332123] e1000e 0000:02:00.0 eth0: MAC: 3, PHY: 8, PBA No: E46981-008
[   17.332746] tg3 0000:03:00.0 eth1: Tigon3 [partno(BCM95723) rev 5784100] (PCI Express) MAC address 00:9c:02:ab:cd:ef
[   17.332754] tg3 0000:03:00.0 eth1: attached PHY is 5784 (10/100/1000Base-T Ethernet) (WireSpeed[1], EEE[0])
[   17.332758] tg3 0000:03:00.0 eth1: RXcsums[1] LinkChgREG[0] MIirq[0] ASF[0] TSOcap[1]
[   17.332762] tg3 0000:03:00.0 eth1: dma_rwctrl[76180000] dma_mask[64-bit]
[   17.806068] systemd-udevd[293]: renamed network interface eth0 to p2p1
[   17.819712] systemd-udevd[297]: renamed network interface eth1 to em1

/etc/sysconfig/network-scripts/ifcfg-enp2s0:

PEERROUTES="yes"
IPV6INIT="yes"
UUID="f9494bb5-c516-4d11-a63a-18b7f915323d"
IPV6_PEERDNS="yes"
DEFROUTE="yes"
PEERDNS="yes"
IPV4_FAILURE_FATAL="no"
HWADDR="68:05:CA:AB:CD:EF"
BOOTPROTO="dhcp"
IPV6_DEFROUTE="yes"
IPV6_AUTOCONF="yes"
IPV6_FAILURE_FATAL="no"
IPV6_PEERROUTES="yes"
TYPE="Ethernet"
ONBOOT="yes"
NAME="enp2s0"

/etc/sysconfig/network-scripts/ifcfg-enp3s0:

TYPE=Ethernet
BOOTPROTO=dhcp
DEFROUTE=yes
IPV4_FAILURE_FATAL=no
IPV6INIT=yes
IPV6_AUTOCONF=yes
IPV6_DEFROUTE=yes
IPV6_PEERDNS=yes
IPV6_PEERROUTES=yes
IPV6_FAILURE_FATAL=no
NAME=enp3s0
UUID=43b04b02-6581-4992-b9bc-c4d83bb9a2ca
ONBOOT=no
HWADDR=00:9C:02:AB:CD:EF
PEERDNS=yes
PEERROUTES=yes
Comment 2 Michel Alexandre Salim 2013-09-30 00:43:48 EDT
Same here; this actually causes an additional problem for me: on my IPA server I disabled NetworkManager, and it seemed the network script is affected by this inconsistency in network device names, because the gateway specified in the network script (ifcfg-enp2s0) did not show up in the routing table and had to be added by hand
Comment 3 Fedora End Of Life 2015-01-09 13:24:06 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-02-17 10:32:57 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.